Cyberduck Mountain Duck CLI

#8961 reopened enhancement

Support Windows display scaling

Reported by: zilexa Owned by: jmalek
Priority: normal Milestone: 8.0
Component: interface Version: 6.2.2
Severity: normal Keywords: hidpi blurry resolution
Cc: Architecture:
Platform: Windows 10

Description

After installing Windows 10 on a 11.6 inch laptop with 1920x1080 resolution, the Windows display setting is set to 150%.(In Windows 8.1 it was 125% by default.)

But whether it is 125% or 150%, Cyberduck looks extremely blurry without touching any settings, hurtful for the eyes even.

By setting it to 100% it is no longer blurry but extremely tiny. Please support proper Windows scaling.

Change History (26)

comment:1 Changed on Jul 31, 2015 at 11:17:37 AM by dkocher

  • Platform set to Windows 10
  • Summary changed from (Windows 10) Cyberduck very blurry by default to Support Windows display scaling
  • Type changed from defect to enhancement

comment:2 Changed on Jan 18, 2016 at 10:39:27 PM by dkocher

  • Owner set to yla

comment:4 Changed on May 23, 2016 at 9:43:32 AM by dkocher

#9476 closed as duplicate.

comment:5 Changed on May 25, 2016 at 1:34:19 PM by dkocher

Will have to look into EnableWindowsFormsHighDpiAutoResizing.

comment:6 Changed on Aug 10, 2017 at 8:41:22 AM by lehtiniemi

  • Keywords hidpi blurry resolution added
  • Version changed from 4.7.1 to 6.2.2

I would also very much hope for this feature! Icons and menu text are blurry when I use Cyberduck. My display scaling on Windows 10 is 225%.

Is there any hope of getting hiDpi support in the future?

comment:7 Changed on Oct 7, 2017 at 8:55:11 PM by vll_dk

Will this ever happen?

comment:8 Changed on Oct 8, 2017 at 6:37:45 AM by dkocher

#10104 closed as duplicate.

comment:9 Changed on Oct 8, 2017 at 6:37:58 AM by dkocher

  • Component changed from core to interface
  • Milestone set to 6.3

comment:10 Changed on Nov 8, 2017 at 2:33:24 PM by dkocher

  • Milestone changed from 6.3 to 7.0

comment:11 Changed on Nov 30, 2017 at 7:37:00 PM by dkocher

  • Owner changed from yla to jmalek

comment:12 Changed on Jan 8, 2018 at 8:59:08 AM by dkocher

#10189 closed as duplicate.

comment:13 Changed on Mar 19, 2018 at 11:17:10 AM by j8K22

I have been using a Lenovo Yoga 2 Pro with a 13inch 3200 × 1800 screen for 5 years now. Would be nice to use Cyberduck finally without a blurry interface...

comment:14 Changed on Jul 5, 2018 at 8:54:01 PM by dkocher

  • Milestone changed from 7.0 to 6.6.3
  • Resolution set to fixed
  • Status changed from new to closed

In r44600.

comment:15 Changed on Jul 6, 2018 at 9:31:13 AM by dkocher

  • Milestone changed from 6.6.3 to 6.7.0

Milestone renamed

comment:16 Changed on Nov 20, 2018 at 9:06:28 AM by dkocher

  • Milestone changed from 6.7.0 to 7.0
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:17 Changed on May 31, 2019 at 3:06:10 PM by dkocher

  • Milestone changed from 7.0 to 8.0

comment:19 Changed on Nov 2, 2020 at 1:24:43 PM by dkocher

  • Milestone changed from 8.0 to 7.7.0

Milestone renamed

comment:20 Changed on Nov 2, 2020 at 1:24:43 PM by dkocher

  • Milestone changed from 7.7.0 to 8.0.0

Ticket retargeted after milestone closed

comment:21 Changed on Nov 2, 2020 at 1:26:14 PM by dkocher

  • Milestone changed from 8.0.0 to 8.0

Milestone renamed

comment:22 Changed on Nov 17, 2020 at 6:48:14 PM by snarf

When this enhancement happens, I will happily buy Cyberduck from the Windows 10 store.

comment:23 Changed on Nov 17, 2020 at 6:49:18 PM by snarf

Is there a way to vote for this ticket?

comment:24 Changed on Jan 5, 2021 at 12:41:47 AM by tfhigginson

If there was then this would certainly get my vote, it would be greatly appreciated if this was implemented.

comment:25 Changed on Jan 5, 2021 at 10:18:03 AM by jmalek

We'd like to implement WinForms HDPI Scaling, though Cyberduck is quite constrained:

  • There are a ton of custom controls that need to be updated for High DPI to work <- obsolete by last
  • Cyberduck is limited to .NET Framework 4.8 maximum, as there is currently no way of getting IKVM to run on anything other than .NET Framework <- this blocks any new features with High DPI scaling
  • There are plans of reworking the UI and migrating away from WinForms entirely, which takes time <- this would make the first one obsolete

Unfortunately Microsoft does make it sound like "it just works™", but reality proves to be quite the opposite.

comment:26 Changed on Jan 26, 2021 at 1:43:35 PM by dkocher

#11556 closed as duplicate.

Note: See TracTickets for help on using tickets.